Subject: Re: [PATCH net-next] tools: Fix MSG_SPLICE_PAGES build error in trace tools

From: Matthieu Baerts <[email-masked]>
Date: Mon, 26 Jun 2023 15:56:12 +0200

On 26/06/2023 15:50, David Howells wrote:
> Matthieu Baerts <[email-masked]> wrote:
> 
>> So another issue. When checking the differences between the two files, I
>> see there are still also other modifications to import, e.g. it looks
>> like you also added MSG_INTERNAL_SENDMSG_FLAGS macro in socket.h. Do you
>> plan to fix that too?
> 
> That's just a list of other flags that we need to prevent userspace passing
> in - it's not a flag in its own right.

I agree. This file is not even used by C files, only by scripts parsing
it if I'm not mistaken.

But if there are differences with include/linux/socket.h, the warning I
mentioned will be visible when compiling Perf.

Cheers,
Matt
-- 
Tessares | Belgium | Hybrid Access Solutions
www.tessares.net